MocksClassControl (EasyMock class extension 3.1 API)
Date: 2011-11-10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock.classextension.internal
Class MocksClassControl

    java.lang.Object
      org.easymock.internal.MocksControl
          org.easymock.classextension.internal.MocksClassControl

All Implemented Interfaces:
  Serializable, IExpectationSetters<Object>, IMocksControl

Deprecated.

    @Deprecated
    public class MocksClassControl

extends MocksControl
implements IMocksControl

Author:
  Henri Tremblay
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.easymock.internal.MocksControl
`MocksControl.MockType`

Field Summary

Fields inherited from class org.easymock.internal.MocksControl
`AT_LEAST_ONCE, ONCE, ZERO_OR_MORE`

Constructor Summary
`MocksClassControl(MocksControl.MockType type)` Deprecated.

Method Summary

Methods inherited from class org.easymock.internal.MocksControl
`andAnswer, andDelegateTo, andReturn, andStubAnswer, andStubDelegateTo, andStubReturn, andStubThrow, andThrow, anyTimes, asStub, atLeastOnce, checkIsUsedInOneThread, checkOrder, createMock, createMock, createMock, createMock, createMock, createMock, createProxyFactory, getState, getType, makeThreadSafe, once, replay, reset, resetToDefault, resetToNice, resetToStrict, times, times, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.easymock.IMocksControl
`checkIsUsedInOneThread, checkOrder, createMock, createMock, createMock, createMock, createMock, createMock, makeThreadSafe, replay, reset, resetToDefault, resetToNice, resetToStrict, verify`

Constructor Detail

### MocksClassControl

    public MocksClassControl(MocksControl.MockType type)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 OFFIS, Henri Tremblay. All Rights Reserved.